#
# spec file for package python-cchardet
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%define modname faust-cchardet
%{?sle15_python_module_pythons}
Name:           python-cchardet
Version:        2.1.19
Release:        1.1
Summary:        CChardet is high speed universal character encoding detector
License:        GPL-2.0-or-later OR LGPL-2.1-or-later OR MPL-1.1
URL:            https://github.com/faust-streaming/cChardet
Source:         https://files.pythonhosted.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(uchardet)
Requires(post): update-alternatives
Requires(postun):update-alternatives
%python_subpackages

%description
cChardet is high speed universal character encoding detector. - binding to `uchardet`_.

%prep
%autosetup -p1 -n %{modname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_clone -a %{buildroot}%{_bindir}/cchardetect
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pytest_arch src/tests

%post
%python_install_alternative cchardetect

%postun
%python_uninstall_alternative cchardetect

%files %{python_files}
%license COPYING
%doc README.rst
%python_alternative %{_bindir}/cchardetect
%{python_sitearch}/cchardet
%{python_sitearch}/%(echo %{modname}|tr '-' '_')-%{version}*-info

%changelog
* Mon Oct  2 2023 Dirk Müller <dmueller@suse.com>
- update to 2.1.19:
  * Update pyproject.toml to try building wheels for every Python
    implementation
* Wed Jun 21 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Sun Feb 26 2023 Matej Cepl <mcepl@suse.com>
- Upstream became stale, switching to the fork
  https://github.com/faust-streaming/cChardet
- Update to 2.1.18:
  - Fix building source distribution
  - Fix pep517 builds
  - Time to continue off where the original project left off!
  - Support Python 3.10 + 3.11
  - Add linux aarch64 wheel support
- Removed upstreamed denose.patch
* Tue Feb 21 2023 Matej Cepl <mcepl@suse.com>
- Add denose.patch (gh#PyYoshi/cChardet!87) and enable tests.
* Tue Feb 21 2023 Matej Cepl <mcepl@suse.com>
- Clean up SPEC file
* Mon Feb 20 2023 ecsos <ecsos@opensuse.org>
- To fix build error correct capitalization of python modul Cython.
* Sun Feb 19 2023 Dirk Müller <dmueller@suse.com>
- build with cythonize to have working code for python 3.11
* Fri Feb 26 2021 ecsos <ecsos@opensuse.org>
- Update to 2.1.7
  - support Python 3.9
  - drop support for Python 3.5
* Tue Sep 15 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 2.1.6:
  * drop support for Python 2.7
  * support Github Actions
  * update dev-dependencies
* Wed May 27 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Wed Dec 11 2019 Ondřej Súkup <mimi.vx@gmail.com>
- initial commit
